﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace CalendarNotepad.Models
{
    /// <summary>
    /// 工作记录单元
    /// </summary>
    [Table("WorkUnit")]
    public class WorkUnit
    {
        /// <summary>
        /// 工作日期
        /// </summary>
        [Key]
        public string? WorkDay { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string? WorkMessage { get; set; }
        /// <summary>
        /// 工作类型。如正常上班，休假，加班等
        /// </summary>
        public string? WorkType { get; set; }
        /// <summary>
        /// 加班信息
        /// </summary>
        public string? Workout { get; set; }
    }
}
